# Retrieve a Template

You can retrieve the properties of the Cubes template specified by its ID.

## Endpoint

Use the following endpoint for templates: `https://api.ionos.com/cloudapi/v6/templates/`

## Request

{% hint style="info" %}
**Note:** The following request contains sample values. Remember to replace them with the relevant information.
{% endhint %}

```bash
curl -X 'GET' \
  'https://api.ionos.com/cloudapi/v6/templates/{templateId}' \
  -H 'accept: application/json'
```

{% tabs %}
{% tab title="Path Parameters" %}

{% endtab %}

{% tab title="undefined" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:
{% endtab %}
{% endtabs %}

| **Name**     | **Type** | **Description**                                    |
| ------------ | :------: | -------------------------------------------------- |
| `v6`         |  string  | The API version.                                   |
| `templates`  |  string  | Template attributes: ID, metadata, and properties. |
| `templateId` |  string  | The unique template ID.                            |

## Response

A **200** message confirms that the desired template details are fetched.

```json
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "template",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "user@example.com",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "state": "AVAILABLE"
  },
  "properties": {
    "name": "My resource",
    "cores": 2,
    "ram": 2048,
    "storageSize": 10,
    "category": "Template category"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/compute-services/cubes/api-how-tos/retrieve-a-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
